/**
 * @author Edouard DUPIN
 * 
 * @copyright 2014, Edouard DUPIN, all right reserved
 * 
 * @license APACHE v2.0 (see license file)
 */

#include <gtest/gtest.h>
#include <esvg/esvg.h>
#include "main.h"

#undef __class__
#define __class__	"TestRectangle"

TEST(TestExtern, worddown) {
	std::string data("<?xml version='1.0' encoding='UTF-8' standalone='no'?>\n"
"<!-- Created with Inkscape (http://www.inkscape.org/) -->\n"
"\n"
"<svg\n"
"   xmlns:dc='http://purl.org/dc/elements/1.1/'\n"
"   xmlns:cc='http://creativecommons.org/ns#'\n"
"   xmlns:rdf='http://www.w3.org/1999/02/22-rdf-syntax-ns#'\n"
"   xmlns:svg='http://www.w3.org/2000/svg'\n"
"   xmlns='http://www.w3.org/2000/svg'\n"
"   xmlns:sodipodi='http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd'\n"
"   xmlns:inkscape='http://www.inkscape.org/namespaces/inkscape'\n"
"   id='svg3411'\n"
"   version='1.1'\n"
"   inkscape:version='0.91 r13725'\n"
"   width='100'\n"
"   height='100'\n"
"   viewBox='0 0 100 100'\n"
"   sodipodi:docname='ArtTime_20.svg'>\n"
"  <metadata\n"
"     id='metadata3417'>\n"
"    <rdf:RDF>\n"
"      <cc:Work\n"
"         rdf:about=''>\n"
"        <dc:format>image/svg+xml</dc:format>\n"
"        <dc:type\n"
"           rdf:resource='http://purl.org/dc/dcmitype/StillImage' />\n"
"        <dc:title></dc:title>\n"
"      </cc:Work>\n"
"    </rdf:RDF>\n"
"  </metadata>\n"
"  <defs\n"
"     id='defs3415' />\n"
"  <sodipodi:namedview\n"
"     pagecolor='#ffffff'\n"
"     bordercolor='#666666'\n"
"     borderopacity='1'\n"
"     objecttolerance='10'\n"
"     gridtolerance='10'\n"
"     guidetolerance='10'\n"
"     inkscape:pageopacity='0'\n"
"     inkscape:pageshadow='2'\n"
"     inkscape:window-width='1600'\n"
"     inkscape:window-height='836'\n"
"     id='namedview3413'\n"
"     showgrid='true'\n"
"     inkscape:zoom='7.1484076'\n"
"     inkscape:cx='32.846023'\n"
"     inkscape:cy='55.531879'\n"
"     inkscape:window-x='0'\n"
"     inkscape:window-y='27'\n"
"     inkscape:window-maximized='1'\n"
"     inkscape:current-layer='svg3411'>\n"
"    <inkscape:grid\n"
"       type='xygrid'\n"
"       id='grid3423' />\n"
"  </sodipodi:namedview>\n"
/*
"  <path\n"
"     style='fill:#9fecff;fill-opacity:1;stroke:#1b57df;stroke-width:8.81125546;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961'\n"
"     d='M 83.073072,55.099829 C 83.886712,33.687876 60.475404,16.478179 40.263655,23.556532 19.565051,29.111554 9.9926694,56.534855 22.756336,73.74319 c 11.428293,18.124001 40.474216,19.151787 53.156943,1.880953 4.612608,-5.778118 7.177805,-13.13422 7.159793,-20.524314 z'\n"
"     id='path3421'\n"
"     inkscape:connector-curvature='0' />\n"
*/
"  <g\n"
"     id='g4311'\n"
"     transform='translate(2.6978375,-4.244742)'>\n"
/*
"    <path\n"
"       inkscape:connector-curvature='0'\n"
"       id='rect4226-8'\n"
"       d='m 42.007793,16.057253 c 3.392538,0 6.785076,0 10.177614,0 0,2.563388 0,5.126776 0,7.690164 -3.392538,0 -6.785076,0 -10.177614,0 0,-2.563388 0,-5.126776 0,-7.690164 z'\n"
"       style='fill:#215ee1;fill-opacity:1;stroke:none;stroke-width:1.52053297;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961' />\n"
"    <path\n"
"       inkscape:connector-curvature='0'\n"
"       id='rect4226'\n"
"       d='m 37.984608,9.9629707 c 6.211703,0 12.423406,0 18.635109,0 0,2.5633883 0,5.1267763 0,7.6901643 -6.211703,0 -12.423406,0 -18.635109,0 0,-2.563388 0,-5.126776 0,-7.6901643 z'\n"
"       style='fill:#215ee1;fill-opacity:1;stroke:#000000;stroke-width:1.52053297;stroke-linejoin:bevel;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961' />\n"
*/
"    <path\n"
"       inkscape:connector-curvature='0'\n"
"       id='path4228'\n"
"       d='m 42.01082,10 c 0,2.666667 0,5.333333 0,8 1.666667,0 3.333333,0 5,0 0,-2.666667 0,-5.333333 0,-8 1.666667,0 3.333333,0 5,0 0,2.666667 0,5.333333 0,8'\n"
"       style='fill:none;fill-rule:evenodd;stroke:#000000;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1' />\n"
"  </g>\n"
/*
"  <path\n"
"     style='fill:#6600a8;fill-opacity:1;stroke:none;stroke-width:1.10000002;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961'\n"
"     d='m 47.5,20 c 1.666667,0 3.333333,0 5,0 0,3.333333 0,6.666667 0,10 -1.666667,0 -3.333333,0 -5,0 0,-3.333333 0,-6.666667 0,-10 z'\n"
"     id='rect4245'\n"
"     inkscape:connector-curvature='0' />\n"
"  <path\n"
"     style='fill:#6600a8;fill-opacity:1;stroke:none;stroke-width:1.10000002;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961'\n"
"     d='m 47.5,80 c 1.666667,0 3.333333,0 5,0 0,3.333333 0,6.666667 0,10 -1.666667,0 -3.333333,0 -5,0 0,-3.333333 0,-6.666667 0,-10 z'\n"
"     id='rect4245-8'\n"
"     inkscape:connector-curvature='0' />\n"
"  <path\n"
"     style='fill:#6600a8;fill-opacity:1;stroke:none;stroke-width:1.10000002;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961'\n"
"     d='m 25.003831,52.5 c 0,1.666667 0,3.333333 0,5 -3.333333,0 -6.666667,0 -9.999999,0 0,-1.666667 0,-3.333333 0,-5 3.333332,0 6.666666,0 9.999999,0 z'\n"
"     id='rect4245-4'\n"
"     inkscape:connector-curvature='0' />\n"
"  <path\n"
"     style='fill:#6600a8;fill-opacity:1;stroke:none;stroke-width:1.10000002;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961'\n"
"     d='m 85,52.5 c 0,1.666667 0,3.333333 0,5 -3.333333,0 -6.666667,0 -10,0 0,-1.666667 0,-3.333333 0,-5 3.333333,0 6.666667,0 10,0 z'\n"
"     id='rect4245-9'\n"
"     inkscape:connector-curvature='0' />\n"
"  <path\n"
"     style='fill:#c2002c;fill-opacity:1;stroke:none;stroke-width:1.10000002;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961'\n"
"     d='m 48.5,40.017598 c 0.97312,-0.0058 1.946241,-0.01167 2.91936,-0.01758 0.02696,4.994133 0.05374,9.988269 0.08064,14.982402 -0.973117,0.0058 -1.946238,0.0117 -2.919357,0.0176 -0.02696,-4.994134 -0.05374,-9.988269 -0.08063,-14.982404 z'\n"
"     id='rect4245-6-5'\n"
"     inkscape:connector-curvature='0' />\n"
"  <path\n"
"     style='fill:#6600a8;fill-opacity:1;stroke:none;stroke-width:1.10000002;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961'\n"
"     d='m 31.417725,25.315069 c 0.721687,-0.416667 1.443376,-0.833334 2.165063,-1.25 1.666667,2.886751 3.333334,5.773503 5,8.660254 -0.721687,0.416666 -1.443376,0.833333 -2.165063,1.25 -1.666667,-2.886751 -3.333334,-5.773503 -5,-8.660254 z'\n"
"     id='rect4245-92'\n"
"     inkscape:connector-curvature='0' />\n"
"  <path\n"
"     style='fill:#6600a8;fill-opacity:1;stroke:none;stroke-width:1.10000002;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961'\n"
"     d='m 27.727939,66.416511 c 0.416667,0.721687 0.833334,1.443376 1.25,2.165063 -2.886751,1.666667 -5.773503,3.333334 -8.660253,5 -0.416666,-0.721688 -0.833333,-1.443376 -1.25,-2.165064 2.88675,-1.666666 5.773502,-3.333333 8.660253,-4.999999 z'\n"
"     id='rect4245-4-3'\n"
"     inkscape:connector-curvature='0' />\n"
"  <path\n"
"     style='fill:#6600a8;fill-opacity:1;stroke:none;stroke-width:1.10000002;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961'\n"
"     d='m 79.686146,36.418426 c 0.416666,0.721688 0.833333,1.443376 1.25,2.165064 -2.886751,1.666666 -5.773503,3.333333 -8.660254,5 -0.416667,-0.721688 -0.833334,-1.443376 -1.25,-2.165064 2.886751,-1.666666 5.773503,-3.333333 8.660254,-5 z'\n"
"     id='rect4245-9-5'\n"
"     inkscape:connector-curvature='0' />\n"
"  <path\n"
"     style='fill:#6600a8;fill-opacity:1;stroke:none;stroke-width:1.10000002;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961'\n"
"     d='m 61.417725,77.276593 c 0.721687,-0.416666 1.443376,-0.833333 2.165063,-1.25 1.666667,2.886751 3.333334,5.773503 5,8.660254 -0.721687,0.416667 -1.443376,0.833334 -2.165063,1.25 -1.666667,-2.886751 -3.333334,-5.773503 -5,-8.660254 z'\n"
"     id='rect4245-8-4'\n"
"     inkscape:connector-curvature='0' />\n"
"  <path\n"
"     style='fill:#6600a8;fill-opacity:1;stroke:none;stroke-width:1.10000002;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961'\n"
"     d='m 19.01822,38.503047 c 0.416667,-0.721687 0.833334,-1.443376 1.25,-2.165063 2.886751,1.666666 5.773503,3.333333 8.660254,5 -0.416666,0.721687 -0.833333,1.443376 -1.25,2.165063 -2.886751,-1.666666 -5.773503,-3.333333 -8.660254,-5 z'\n"
"     id='rect4245-92-3'\n"
"     inkscape:connector-curvature='0' />\n"
"  <path\n"
"     style='fill:#6600a8;fill-opacity:1;stroke:none;stroke-width:1.10000002;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961'\n"
"     d='m 36.46719,75.996929 c 0.721688,0.416666 1.443376,0.833333 2.165064,1.25 -1.666667,2.886751 -3.333334,5.773503 -5,8.660253 -0.721687,-0.416667 -1.443376,-0.833334 -2.165063,-1.25 1.666666,-2.88675 3.333333,-5.773502 4.999999,-8.660253 z'\n"
"     id='rect4245-4-3-4'\n"
"     inkscape:connector-curvature='0' />\n"
"  <path\n"
"     style='fill:#6600a8;fill-opacity:1;stroke:none;stroke-width:1.10000002;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961'\n"
"     d='m 66.371578,23.984626 c 0.721687,0.416667 1.443376,0.833334 2.165063,1.25 -1.666665,2.886749 -3.333335,5.773506 -5,8.660254 -0.721687,-0.416666 -1.443376,-0.833333 -2.165063,-1.25 1.666665,-2.886748 3.333335,-5.773505 5,-8.660254 z'\n"
"     id='rect4245-9-5-8'\n"
"     inkscape:connector-curvature='0' />\n"
"  <path\n"
"     style='fill:#6600a8;fill-opacity:1;stroke:none;stroke-width:1.10000002;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961'\n"
"     d='m 71.073442,68.557143 c 0.416666,-0.721687 0.833333,-1.443376 1.25,-2.165063 2.886751,1.666666 5.773503,3.333333 8.660254,5 -0.416667,0.721687 -0.833334,1.443376 -1.25,2.165063 -2.886751,-1.666666 -5.773503,-3.333333 -8.660254,-5 z'\n"
"     id='rect4245-8-4-2'\n"
"     inkscape:connector-curvature='0' />\n"
"  <path\n"
"     style='fill:#c2002c;fill-opacity:1;stroke:none;stroke-width:1.10000002;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:0.94901961'\n"
"     d='m 73.808627,70.602667 c 0.475517,-0.849101 0.951147,-1.698139 1.426839,-2.547143 -8.420812,-4.620512 -16.841715,-9.240869 -25.262556,-13.861329 -0.475515,0.849098 -0.95119,1.698114 -1.426874,2.547122 8.420814,4.620512 16.841717,9.240868 25.262565,13.861322 z'\n"
"     id='rect4245-6-5-9'\n"
"     inkscape:connector-curvature='0' />\n"
*/
"</svg>\n");
	esvg::Document doc;
	doc.parse(data);
	etk::FSNodeWriteAllData("TestExtern_worddown.svg", data);
	doc.generateAnImage(ivec2(100, 100), "TestExtern_worddown.bmp", g_visualDebug);
}


